Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.deployment
Class AxisConfigBuilder

    java.lang.Object
      org.apache.axis2.deployment.DescriptionBuilder
          org.apache.axis2.deployment.AxisConfigBuilder

All Implemented Interfaces:
  DeploymentConstants

    public class AxisConfigBuilder

extends DescriptionBuilder

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis2.deployment.DescriptionBuilder
`axisConfig, configCtx, descriptionStream`

Fields inherited from interface org.apache.axis2.deployment.DeploymentConstants
`ATTACHMENTS_LIFECYCLE_MANAGER, ATTRIBUTE_ACTIVATE, ATTRIBUTE_CLASS, ATTRIBUTE_DEFAULT_VERSION, ATTRIBUTE_LOCKED, ATTRIBUTE_NAME, ATTRIBUTE_NAMESPACE, ATTRIBUTE_PACKAGE, ATTRIBUTE_SCOPE, ATTRIBUTE_WSADDRESSING, AXIS2_CONFIGURATION_RESOURCE, AXIS2_CONFIGURATION_XML, AXIS2_REPO, BOOLEAN_FALSE, BOOLEAN_TRUE, DEPLOYER, DIRECTORY, DIRECTORY_AXIS2_HOME, DIRECTORY_CONF, EXTENSION, MAPPING, META_INF, MODULE_DRI_PATH, MODULE_PATH, MODULE_XML, POLICY_NS_URI, PROPERTY_TEMP_DIR, RESOURCE_MODULES, SCHEMA, SCHEMA_ELEMENT_QUALIFIED, SCHEMA_NAME_SPACE, SEPARATOR_COLON, SEPARATOR_DOT, SERVICE_DIR_PATH, SERVICE_PATH, SERVICES_XML, SUFFIX_JAR, SUFFIX_MAR, SUFFIX_WSDL, TAG_AFTER, TAG_ALLOWOVERRIDE, TAG_ANTI_JAR_LOCKING, TAG_APPLIES_TO, TAG_AXISCONFIG, TAG_BEFORE, TAG_CLASS_NAME, TAG_CLUSTER, TAG_CONTENT_TYPE, TAG_CONTEXT, TAG_DEFAULT_MODULE_VERSION, TAG_DEFAULTS, TAG_DESCRIPTION, TAG_DISPATCH_ORDER, TAG_DISPATCHER, TAG_EXCLUDE, TAG_EXCLUDE_OPERATIONS, TAG_EXCLUDE_PROPERTIES, TAG_EXPOSE, TAG_EXTRACT_SERVICE_ARCHIVE, TAG_FLOW_IN, TAG_FLOW_IN_FAULT, TAG_FLOW_OUT, TAG_FLOW_OUT_FAULT, TAG_HANDLER, TAG_HOT_DEPLOYMENT, TAG_HOT_UPDATE, TAG_INCLUDE_PROPERTIES, TAG_LABEL, TAG_LIST_ID, TAG_LISTENER, TAG_MAPPING, TAG_MEP, TAG_MESSAGE, TAG_MESSAGE_BUILDER, TAG_MESSAGE_BUILDERS, TAG_MESSAGE_FORMATTER, TAG_MESSAGE_FORMATTERS, TAG_MESSAGE_RECEIVER, TAG_MESSAGE_RECEIVERS, TAG_MODULE, TAG_MODULE_CONFIG, TAG_NAMESPACES, TAG_NODE_MANAGER, TAG_OBJECT_SUPPLIER, TAG_OPERATION, TAG_ORDER, TAG_PACKAGE_NAME, TAG_PACKAGE2QNAME, TAG_PARAMETER, TAG_PHASE, TAG_PHASE_FIRST, TAG_PHASE_LAST, TAG_PHASE_ORDER, TAG_POLICY, TAG_POLICY_ATTACHMENT, TAG_POLICY_REF, TAG_QNAME, TAG_REFERENCE, TAG_REPLICATION, TAG_SERVICE, TAG_SERVICE_GROUP, TAG_STATE_MANAGER, TAG_SUPPORTED_POLICY_NAMESPACES, TAG_TARGET_RESOLVER, TAG_TARGET_RESOLVERS, TAG_THREAD_CONTEXT_MIGRATOR, TAG_THREAD_CONTEXT_MIGRATORS, TAG_TIMEOUT, TAG_TRANSACTION, TAG_TRANSACTION_CONFIGURATION_CLASS, TAG_TRANSPORT, TAG_TRANSPORT_RECEIVER, TAG_TRANSPORT_SENDER, TAG_TRANSPORTS, TAG_TYPE, TARGET_NAME_SPACE`

Constructor Summary
`AxisConfigBuilder(AxisConfiguration axisConfiguration)`
`AxisConfigBuilder(java.io.InputStream serviceInputStream, AxisConfiguration axisConfiguration, DeploymentEngine deploymentEngine)`

Method Summary
`void` | `populateConfig()`
`protected java.util.HashMap` | `processMessageBuilders(org.apache.axiom.om.OMElement messageBuildersElement)` Processes the message builders specified in axis2.xml or services.xml.
`protected java.util.HashMap` | `processMessageFormatters(org.apache.axiom.om.OMElement messageFormattersElement)` Processes the message builders specified in axis2.xml or services.xml.
`protected void` | `processModuleConfig(java.util.Iterator moduleConfigs, ParameterInclude parent, AxisConfiguration config)`
`protected void` | `processModuleRefs(java.util.Iterator moduleRefs, AxisConfiguration config)` Update the list of modules that is required to be engaged globally.
`java.util.ArrayList` | `processTransportReceivers(java.util.Iterator trs_senders)`
`void` | `processTransportSenders(java.util.Iterator trs_senders)`

Methods inherited from class org.apache.axis2.deployment.DescriptionBuilder
`buildOM, findAndValidateSelectorClass, getLocalPolicyAssertionNames, getShortFileName, getValue, loadDefaultMessageReceiver, loadMessageReceiver, processActionMappings, processFlow, processHandler, processHandler, processMessageReceivers, processMessageReceivers, processOperationModuleRefs, processParameters, processPolicyElements, processPolicyRefElements, processSupportedPolicyNamespaces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### AxisConfigBuilder

    public AxisConfigBuilder(java.io.InputStream serviceInputStream,
                             AxisConfiguration axisConfiguration,
                             DeploymentEngine deploymentEngine)

### AxisConfigBuilder

    public AxisConfigBuilder(AxisConfiguration axisConfiguration)

Method Detail

### populateConfig

    public void populateConfig()
                        throws DeploymentException

  Throws:
    `DeploymentException`

### processModuleConfig

    protected void processModuleConfig(java.util.Iterator moduleConfigs,
                                       ParameterInclude parent,
                                       AxisConfiguration config)
                                throws DeploymentException

  Throws:
    `DeploymentException`

### processModuleRefs

    protected void processModuleRefs(java.util.Iterator moduleRefs,
                                     AxisConfiguration config)

  Update the list of modules that is required to be engaged globally.

### processTransportReceivers

    public java.util.ArrayList processTransportReceivers(java.util.Iterator trs_senders)
                                                  throws DeploymentException

  Throws:
    `DeploymentException`

### processTransportSenders

    public void processTransportSenders(java.util.Iterator trs_senders)
                                 throws DeploymentException

  Throws:
    `DeploymentException`

### processMessageFormatters

    protected java.util.HashMap processMessageFormatters(org.apache.axiom.om.OMElement messageFormattersElement)
                                                  throws DeploymentException

  Description copied from class: `DescriptionBuilder`
  Processes the message builders specified in axis2.xml or services.xml.

  Overrides:
    `processMessageFormatters` in class `DescriptionBuilder`
  Throws:
    `DeploymentException`

### processMessageBuilders

    protected java.util.HashMap processMessageBuilders(org.apache.axiom.om.OMElement messageBuildersElement)
                                                throws DeploymentException

  Description copied from class: `DescriptionBuilder`
  Processes the message builders specified in axis2.xml or services.xml.

  Overrides:
    `processMessageBuilders` in class `DescriptionBuilder`
  Throws:
    `DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.